# Uses of Class
jspecview.common.Spectrum

Packages that use Spectrum
Package
Description
jspecview.api
jspecview.app
jspecview.appletjs
jspecview.application
jspecview.common
jspecview.dialog
jspecview.export
jspecview.java
jspecview.js2d
jspecview.source

## Uses of Spectrum in jspecview.api

Methods in jspecview.api that return Spectrum
Modifier and Type
Method
Description
`Spectrum`
AnnotationData.`getSpectrum()`
Methods in jspecview.api with parameters of type Spectrum
Modifier and Type
Method
Description
`String`
JSVExporter.`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
`int`
VisibleInterface.`getColour(Spectrum spec, boolean asFitted)`
`JSVPanel`
ScriptInterface.`siGetNewJSVPanel(Spectrum spec)`
Method parameters in jspecview.api with type arguments of type Spectrum
Modifier and Type
Method
Description
`JSVPanel`
AppletFrame.`getJSVPanel(JSViewer viewer, Lst<Spectrum> specs)`
`JSVPanel`
ScriptInterface.`siGetNewJSVPanel2(Lst<Spectrum> specs)`
`void`
ScriptInterface.`siOpenDataOrFile(Object data, String name, Lst<Spectrum> specs, String url, int firstSpec, int lastSpec, boolean isAppend, String script, String id)`

## Uses of Spectrum in jspecview.app

Methods in jspecview.app with parameters of type Spectrum
Modifier and Type
Method
Description
`JSVPanel`
JSVApp.`siGetNewJSVPanel(Spectrum spec)`
Method parameters in jspecview.app with type arguments of type Spectrum
Modifier and Type
Method
Description
`JSVPanel`
JSVApp.`siGetNewJSVPanel2(Lst<Spectrum> specs)`
`void`
JSVApp.`siOpenDataOrFile(Object data, String name, Lst<Spectrum> specs, String url, int firstSpec, int lastSpec, boolean isAppend, String script, String id)`

## Uses of Spectrum in jspecview.appletjs

Method parameters in jspecview.appletjs with type arguments of type Spectrum
Modifier and Type
Method
Description
`JSVPanel`
JSVApplet.`getJSVPanel(JSViewer viewer, Lst<Spectrum> specs)`

## Uses of Spectrum in jspecview.application

Methods in jspecview.application with parameters of type Spectrum
Modifier and Type
Method
Description
`JSVPanel`
JSpecView.`siGetNewJSVPanel(Spectrum spec)`
Method parameters in jspecview.application with type arguments of type Spectrum
Modifier and Type
Method
Description
`JSVPanel`
JSpecView.`siGetNewJSVPanel2(Lst<Spectrum> specs)`
`void`
JSpecView.`siOpenDataOrFile(Object data, String name, Lst<Spectrum> specs, String url, int firstSpec, int lastSpec, boolean isAppend, String script, String id)`

## Uses of Spectrum in jspecview.common

Fields in jspecview.common declared as Spectrum
Modifier and Type
Field
Description
`protected Spectrum`
MeasurementData.`spec`
`Spectrum`
PeakInfo.`spectrum`
Methods in jspecview.common that return Spectrum
Modifier and Type
Method
Description
`Spectrum`
Spectrum.`copy()`
specifically for Abs/Trans conversion.
`Spectrum`
Spectrum.`getConvertedSpectrum()`
`Spectrum`
Spectrum.`getCurrentSubSpectrum()`
`Spectrum`
Measurement.`getSpectrum()`
`Spectrum`
MeasurementData.`getSpectrum()`
`Spectrum`
PanelData.`getSpectrum()`
`Spectrum`
PanelNode.`getSpectrum()`
`Spectrum`
PanelData.`getSpectrumAt(int index)`
`static Spectrum`
Spectrum.`newSpectrum(Spectrum spectrum, Coordinate[] newXYCoords, String units)`
copy spectrum with new coordinates
`static Spectrum`
Spectrum.`taConvert(Spectrum spectrum, Spectrum.IRMode mode)`
Methods in jspecview.common that return types with arguments of type Spectrum
Modifier and Type
Method
Description
`Lst<Spectrum>`
Spectrum.`getSubSpectra()`
Methods in jspecview.common with parameters of type Spectrum
Modifier and Type
Method
Description
`void`
PanelData.`addHighlight(jspecview.common.GraphSet gs, double x1, double x2, Spectrum spec, int r, int g, int b, int a)`
Add information about a region of the displayed spectrum to be highlighted applet only right now
`boolean`
Spectrum.`addSubSpectrum(Spectrum spectrum, boolean forceSub)`
adds an nD subspectrum and titles it "Subspectrum <n>" These spectra can be iterated over using the UP and DOWN keys.
`static boolean`
Spectrum.`allowSubSpec(Spectrum s1, Spectrum s2)`
`static boolean`
Spectrum.`areLinkableX(Spectrum s1, Spectrum s2)`
`static boolean`
Spectrum.`areLinkableY(Spectrum s1, Spectrum s2)`
`static boolean`
Spectrum.`areXScalesCompatible(Spectrum s1, Spectrum s2, boolean isSubspecCheck, boolean isLinkCheck)`
`void`
PanelData.`dialogsToFront(Spectrum spec)`
`void`
PanelData.`findX(Spectrum spec, double d)`
`static Annotation`
Annotation.`getColoredAnnotation(GenericGraphics g2d, Spectrum spec, Lst<String> args, Annotation lastAnnotation)`
`int`
Visible.`getColour(Spectrum spec, boolean useFitted)`
Returns the integer color of a solution based on its visible spectrum.
`JSVDialog`
JSViewer.`getDialog(Annotation.AType type, Spectrum spec)`
`static Lst<Annotation>`
IntegralData.`getIntegrationRatiosFromString(Spectrum spec, String key_values)`
Parses x-coordinates and values from a string and returns them as `IntegrationRatio` objects
`void`
PanelData.`initOne(Spectrum spectrum)`
`void`
PanelData.`jumpToSpectrum(Spectrum spec)`
`static Spectrum`
Spectrum.`newSpectrum(Spectrum spectrum, Coordinate[] newXYCoords, String units)`
copy spectrum with new coordinates
`void`
PanelData.`notifySubSpectrumChange(int isub, Spectrum spec)`
`protected Annotation`
Annotation.`setA(double x, double y, Spectrum spec, String text, boolean isPixels, boolean is2D, int offsetX, int offsetY)`
`ColoredAnnotation`
ColoredAnnotation.`setCA(double x, double y, Spectrum spec, String text, GenericColor color, boolean isPixels, boolean is2D, int offsetX, int offsetY)`
`void`
Spectrum.`setConvertedSpectrum(Spectrum spectrum)`
`Integral`
Integral.`setInt(double x1, double y1, Spectrum spec, double value, double x2, double y2)`
`Measurement`
Measurement.`setM1(double x, double y, Spectrum spec)`
`Measurement`
Measurement.`setPt2(Spectrum spec, boolean doSetPt2)`
`void`
PanelData.`setSpecForIRMode(Spectrum spec)`
`void`
PanelData.`setXPointers(Spectrum spec, double x1, Spectrum spec2, double x2)`
`static Spectrum`
Spectrum.`taConvert(Spectrum spectrum, Spectrum.IRMode mode)`
Method parameters in jspecview.common with type arguments of type Spectrum
Modifier and Type
Method
Description
`void`
PanelData.`addToList(int iSpec, Lst<Spectrum> list)`
`static double`
Coordinate.`getMaxX(Lst<Spectrum> spectra, ViewData vd)`
Returns the maximum x value value from an array of arrays of `Coordinate`s.
`static double`
Coordinate.`getMaxYUser(Lst<Spectrum> spectra, ViewData vd)`
Returns the maximum y value value from an array of arrays of `Coordinate`s.
`static double`
Coordinate.`getMinX(Lst<Spectrum> spectra, ViewData vd)`
Returns the minimum x value value from an array of arrays of `Coordinate`s.
`static double`
Coordinate.`getMinYUser(Lst<Spectrum> spectra, ViewData vd)`
Returns the minimum y value value from an array of arrays of `Coordinate`s.
`void`
PanelData.`initMany(Lst<Spectrum> spectra, int startIndex, int endIndex)`
`void`
ViewData.`newSpectrum(Lst<Spectrum> spectra)`
`int`
JSViewer.`openDataOrFile(Object data, String name, Lst<Spectrum> specs, String strUrl, int firstSpec, int lastSpec, boolean isAppend, String id)`
`static boolean`
Spectrum.`process(Lst<Spectrum> specs, Spectrum.IRMode irMode)`
Constructors in jspecview.common with parameters of type Spectrum
Modifier
Constructor
Description
``
`IntegralData(double integralMinY, double integralOffset, double integralRange, Spectrum spec)`
``
`IntegralData(Spectrum spec, Parameters p)`
``
`PeakData(Annotation.AType type, Spectrum spec)`
Constructor parameters in jspecview.common with type arguments of type Spectrum
Modifier
Constructor
Description
``
`ViewData(Lst<Spectrum> spectra, double yPt1, double yPt2, boolean isContinuous)`
``
`ViewData(Lst<Spectrum> spectra, double yPt1, double yPt2, int[] startList, int[] endList, boolean isContinuous, boolean is2D)`

## Uses of Spectrum in jspecview.dialog

Fields in jspecview.dialog declared as Spectrum
Modifier and Type
Field
Description
`protected Spectrum`
JSVDialog.`spec`
Methods in jspecview.dialog that return Spectrum
Modifier and Type
Method
Description
`Spectrum`
JSVDialog.`getSpectrum()`
Methods in jspecview.dialog with parameters of type Spectrum
Modifier and Type
Method
Description
`JSVDialog`
JSVDialog.`setParams(String title, JSViewer viewer, Spectrum spec)`
required initializer; from JSViewer
`abstract void`
DialogManager.`showProperties(Object frame, Spectrum spectrum)`
`void`
DialogManager.`showSource(Object frame, Spectrum spec)`

## Uses of Spectrum in jspecview.export

Methods in jspecview.export with parameters of type Spectrum
Modifier and Type
Method
Description
`String`
AMLExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports the Spectrum that is displayed by JSVPanel to a file given by fileName If display is zoomed then export the current view
`String`
CMLExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports the Spectrum that is displayed by JSVPanel to a file given by fileName If display is zoomed then export the current view
`String`
Exporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
`String`
ExportInterface.`exportTheSpectrum(String type, String path, Spectrum spec, int startIndex, int endIndex)`
returns message if path is not null, otherwise full string of text (unsigned applet)
`String`
JDXExporter.`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spectrum, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports spectrum in one of several formats
`String`
SVGExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Export a Graph as SVG to a file given by fileName

## Uses of Spectrum in jspecview.java

Methods in jspecview.java with parameters of type Spectrum
Modifier and Type
Method
Description
`static AwtPanel`
AwtPanel.`getPanelOne(JSViewer viewer, Spectrum spectrum)`
Constructs a new JSVPanel
`void`
AwtDialogManager.`showProperties(Object frame, Spectrum spectrum)`
Method parameters in jspecview.java with type arguments of type Spectrum
Modifier and Type
Method
Description
`static AwtPanel`
AwtPanel.`getPanelMany(JSViewer viewer, Lst<Spectrum> spectra)`
Constructs a `JSVPanel` with List of spectra and corresponding start and end indices of data points that should be displayed

## Uses of Spectrum in jspecview.js2d

Methods in jspecview.js2d with parameters of type Spectrum
Modifier and Type
Method
Description
`void`
JsDialogManager.`showProperties(Object frame, Spectrum spectrum)`
Looks a lot like Swing, right? :)
Method parameters in jspecview.js2d with type arguments of type Spectrum
Modifier and Type
Method
Description
`static JsPanel`
JsPanel.`getPanelMany(JSViewer viewer, Lst<Spectrum> spectra)`
Constructs a `JSVPanel` with List of spectra and corresponding start and end indices of data points that should be displayed

## Uses of Spectrum in jspecview.source

Fields in jspecview.source declared as Spectrum
Modifier and Type
Field
Description
`protected Spectrum`
JDXDataObject.`parent`
Methods in jspecview.source that return Spectrum
Modifier and Type
Method
Description
`Spectrum`
JDXSource.`getJDXSpectrum(int index)`
Returns the Spectrum at a given index in the list
`Spectrum[]`
JDXSource.`getSpectraAsArray()`
Used in Android
Methods in jspecview.source that return types with arguments of type Spectrum
Modifier and Type
Method
Description
`Lst<Spectrum>`
JDXSource.`getSpectra()`
Returns the Vector of Spectra
Methods in jspecview.source with parameters of type Spectrum
Modifier and Type
Method
Description
`void`
JDXSource.`addJDXSpectrum(String filePath, Spectrum spectrum, boolean forceSub)`
Adds a Spectrum to the list
Method parameters in jspecview.source with type arguments of type Spectrum
Modifier and Type
Method
Description
`static JDXSource`
JDXSource.`createView(Lst<Spectrum> specs)`